# Command: :regerror

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    :regerror - return message of what went wrong with "regcomp_"

Synopsis:

    regex integer -> string

Description:

    :regerror will decode the integer error code and return the related
      error description.

Parameters:

    in:  regex: a regular expression generated by "regcomp_"
      integer code of what went wrong.
      out:  string of error description.

      Examples:  preparation:
      (\() regcomp_	 -> <regextype> 8 False
      pop
      now there's a wrong regex and an errorcode on the stack
      :regerror = -> Unmatched ( or \(

Bugs:

    no known ;-)

Diagnostics:

    no errors raised	- this _is_ a command to check an error!

Remarks:

      See man regerror for further details on POSIX regerror.
      Note that the command "regcomp" performs automatic error checking. You should
      probably use "regcomp", not "regcomp_".

Author:

    Diesmann & Hehl

FirstVersion:

    27.9.99

SeeAlso:

- regexec
- regcomp

Source:

    /opt/conda/conda-bld/nest_1510212701067/work/nest-2.14.0/lib/sli/regexp.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative